created: 1755101078121
modified: 1755101078121
description: Mappings for Scout driver for Circutor CEMC31
id: f56cab3f-8948-474b-a108-4f843ccc6a1c
name: CEMC31_Scout
manufacturer: Circutor
model: CEMC31
deviceResources:
- description: L1_VOLTAGE
  name: V_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1842
    ValueType: INT32
- description: L2_VOLTAGE
  name: V_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1844
    ValueType: INT32
- description: L3_VOLTAGE
  name: V_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.1'
      reviewScale: true
    units:
      type: String
      defaultValue: V
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1846
    ValueType: INT32
- description: L1_CURRENT
  name: I_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1848
    ValueType: INT32
- description: L2_CURRENT
  name: I_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1850
    ValueType: INT32
- description: L3_CURRENT
  name: I_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1852
    ValueType: INT32
- description: L1_COS_PHI
  name: PF_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1854
    ValueType: INT32
- description: L2_COS_PHI
  name: PF_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1856
    ValueType: INT32
- description: L3_COS_PHI
  name: PF_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '0.01'
      reviewScale: true
    units:
      type: String
      defaultValue: A
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1858
    ValueType: INT32
- description: L1_ACTIVE_POWER
  name: P_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1862
    ValueType: INT32
- description: L2_ACTIVE_POWER
  name: P_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1864
    ValueType: INT32
- description: L3_ACTIVE_POWER
  name: P_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1866
    ValueType: INT32
- description: TOTAL_ACTIVE_POWER
  name: P_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1868
    ValueType: INT32
- description: L1_REACTIVE_POWER
  name: Q_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1870
    ValueType: INT32
- description: L2_REACTIVE_POWER
  name: Q_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1872
    ValueType: INT32
- description: L3_REACTIVE_POWER
  name: Q_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1874
    ValueType: INT32
- description: TOTAL_REACTIVE_POWER
  name: Q_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1876
    ValueType: INT32
- description: L1_APPARENT_POWER
  name: S_AN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1878
    ValueType: INT32
- description: L2_APPARENT_POWER
  name: S_BN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1880
    ValueType: INT32
- description: L3_APPARENT_POWER
  name: S_CN
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1882
    ValueType: INT32
- description: TOTAL_APPARENT_POWER
  name: S_TOT
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: W
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 1884
    ValueType: INT32
- description: ENERGY_TOTAL_ACTIVE_IMP
  name: P_ENERGY_CON_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 0
    ValueType: UINT32
- description: ENERGY_TOTAL_ACTIVE_EXP
  name: P_ENERGY_GEN_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: Wh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 2
    ValueType: UINT32
- description: ENERGY_TOTAL_REACTIVE_Q1
  name: Q_ENERGY_Q1_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 4
    ValueType: UINT32
- description: ENERGY_TOTAL_REACTIVE_Q2
  name: Q_ENERGY_Q2_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 6
    ValueType: UINT32
- description: ENERGY_TOTAL_REACTIVE_Q3
  name: Q_ENERGY_Q3_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 8
    ValueType: UINT32
- description: ENERGY_TOTAL_REACTIVE_Q4
  name: Q_ENERGY_Q4_TOT_ABS
  properties:
    value:
      type: Float
      readWrite: R
      precision: '2'
      scale: '1.0'
      reviewScale: false
    units:
      type: String
      defaultValue: VArh
  attributes:
    IsByteSwap: false
    IsWordSwap: false
    PrimaryTable: InputRegister
    StartingAddress: 10
    ValueType: UINT32
resources:
- name: Device0_MeasuresTot
  get:
  - object: P_TOT
    parameter: P_TOT
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
- name: Device0_MeasuresL1
  get:
  - object: V_AN
    parameter: V_AN
  - object: I_AN
    parameter: I_AN
  - object: PF_AN
    parameter: PF_AN
  - object: P_AN
    parameter: P_AN
  - object: Q_AN
    parameter: Q_AN
  - object: S_AN
    parameter: S_AN
- name: Device0_MeasuresL2
  get:
  - object: V_BN
    parameter: V_BN
  - object: I_BN
    parameter: I_BN
  - object: PF_BN
    parameter: PF_BN
  - object: P_BN
    parameter: P_BN
  - object: Q_BN
    parameter: Q_BN
  - object: S_BN
    parameter: S_BN
- name: Device0_MeasuresL3
  get:
  - object: V_CN
    parameter: V_CN
  - object: I_CN
    parameter: I_CN
  - object: PF_CN
    parameter: PF_CN
  - object: P_CN
    parameter: P_CN
  - object: Q_CN
    parameter: Q_CN
  - object: S_CN
    parameter: S_CN
- name: Device0_Measures
  get:
  - object: V_AN
    parameter: V_AN
  - object: V_BN
    parameter: V_BN
  - object: V_CN
    parameter: V_CN
  - object: I_AN
    parameter: I_AN
  - object: I_BN
    parameter: I_BN
  - object: I_CN
    parameter: I_CN
  - object: PF_AN
    parameter: PF_AN
  - object: PF_BN
    parameter: PF_BN
  - object: PF_CN
    parameter: PF_CN
  - object: P_AN
    parameter: P_AN
  - object: P_BN
    parameter: P_BN
  - object: P_CN
    parameter: P_CN
  - object: P_TOT
    parameter: P_TOT
  - object: Q_AN
    parameter: Q_AN
  - object: Q_BN
    parameter: Q_BN
  - object: Q_CN
    parameter: Q_CN
  - object: Q_TOT
    parameter: Q_TOT
  - object: S_AN
    parameter: S_AN
  - object: S_BN
    parameter: S_BN
  - object: S_CN
    parameter: S_CN
  - object: S_TOT
    parameter: S_TOT
  - object: P_ENERGY_CON_TOT_ABS
    parameter: P_ENERGY_CON_TOT_ABS
  - object: P_ENERGY_GEN_TOT_ABS
    parameter: P_ENERGY_GEN_TOT_ABS
  - object: Q_ENERGY_Q1_TOT_ABS
    parameter: Q_ENERGY_Q1_TOT_ABS
  - object: Q_ENERGY_Q2_TOT_ABS
    parameter: Q_ENERGY_Q2_TOT_ABS
  - object: Q_ENERGY_Q3_TOT_ABS
    parameter: Q_ENERGY_Q3_TOT_ABS
  - object: Q_ENERGY_Q4_TOT_ABS
    parameter: Q_ENERGY_Q4_TOT_ABS
